<template>
    <div>
        <crumbs title="慢病管理与评估维护" style="min-width: 980px">
            <el-form :inline="true" class="demo-form-inline">
                <el-form-item label="慢病名称：">
                    <el-input size="mini" v-model="filter.tagSysName" placeholder="慢病名称" clearable></el-input>
                </el-form-item>
                <el-form-item>
                    <el-button size="mini" @click="filterDatas">确认</el-button>
                    <el-button size="mini" type="warning" @click="addIndeptTag">添加管理评估</el-button>
                </el-form-item>
            </el-form>
        </crumbs>
        <div class="contents">
            <el-table
                    :data="list"
                    border
                    style="width: 100%">
                <el-table-column
                        type="index"
                        :index = 'indexMethod'
                        label="编号"
                        :resizable = "false"
                        width="60">
                </el-table-column>
                <el-table-column
                        :resizable = "false"
                        prop="gmtModified"
                        label="操作时间"
                        width="180">
                </el-table-column>
                <el-table-column
                        :resizable = "false"
                        prop="diseaseName"
                        label="慢病名称">
                </el-table-column>
                <el-table-column
                        :resizable = "false"
                        prop="modifier"
                        label="操作人">
                </el-table-column>
                <el-table-column
                        :resizable = "false"
                        prop="operate"
                        label="操作">
                    <template slot-scope="scope">
                        <el-button  @click="modifyIndeptTag(scope.row)" type="text" size="small">修改</el-button>
                        <el-button @click="showDelDialog(scope.row.id)" class="delete" type="text" size="small">删除</el-button>
                    </template>
                </el-table-column>
            </el-table>

        </div>
        <div class="pagination">
            <el-pagination v-if="total>pageSize"
                        :current-page.sync="currentPage"
                        @current-change="currentChange"
                        background
                        :page-size="pageSize"
                        layout="total,prev, pager, next, jumper"
                        :total="total">
            </el-pagination>
        </div>
        
    </div>
</template>

<script>
  import api from '@api/icss.js';

  export default {
    name: 'TemplateMaintenance',
    data: function() {
      return {
        list: [],
        tagTypes: [],
        Adscriptions: [],
        AdscriptionsType:[],
        AdscriptionsOwnTo:[],
        tagTypesList: [],
        filter: {
          tagType: [], //标签类型
          tagSysName: '', //标签系统名称
        },
        currentPage: 1,
        pageSize: 10,
        total: 0,
      }
    },
    created() {
      this.getDropList().then(() => {
        this.getDataList()
      })
    },
    methods: {
      getDropList() {
        let templateOwn = localStorage.getItem('icssEnumsData') ? JSON.parse(localStorage.getItem('icssEnumsData')).moduleTypeEnum : []
        let templateType = localStorage.getItem('icssEnumsData') ? JSON.parse(localStorage.getItem('icssEnumsData')).moduleInfoTypeEnum : []
        this.Adscriptions = templateOwn;
        this.AdscriptionsType = templateType
        return api.getDropList().then((res) =>{
          if(res.data.code === '0') {
            this.tagTypes =  res.data.data[6];
            for (var i = 0; i < this.tagTypes.length; i++) {
              this.tagTypesList.push(this.tagTypes[i].val)
            }
          }
        })
      },
      getDataList() {
        const param = this.getFilterItems();
        api.queryEvaluationModulePages(param).then((res) => {
          const list = res.data.data.records
          for (var i = 0; i < list.length; i++) {
            for (var j =  0; j < this.tagTypes.length; j++) {
              if(list[i].tagType === this.tagTypes[j].val) {
                list[i].tagTypeCn = this.tagTypes[j].name;
              }
            }
            for (var z =  0; z < this.Adscriptions.length; z++) {
              if(list[i].type === this.Adscriptions[z].val) {
                list[i].typeCn = this.Adscriptions[z].name
              }
            }
          }
          this.list = list;
          this.total = res.data.data.total;
        })
      },
      filterDatas() {
        this.currentPage = 1;
        this.getDataList();
      },
      addIndeptTag() {
        this.$router.push({name:'ChronicDiseaseManageAdd'})
      },
      modifyIndeptTag(row) {
        this.$router.push({name:'ChronicDiseaseManageAdd',params:{isEdit:true,data:row}});
      },
      currentChange(next) {
        this.currentPage = next;
        this.getDataList();
      },
      getFilterItems() {
        const param = {
          current: this.currentPage,
          size: this.pageSize,
          diseaseName:this.filter.tagSysName,
        };
        return param;
      },
      indexMethod(index) {
        return ((this.currentPage - 1) * this.pageSize) + index + 1;
      },
      warning(msg,type){
        this.$message({
          showClose: true,
          message:msg,
          type:type||'warning'
        })
      },
      showConfirmDialog(msg,resolve){
        this.$alert(msg, '提示', {
          confirmButtonText: '确定',
          type: 'warning'
        }).then(() => {
          resolve();
        }).catch(() => {});
      },
      showDelDialog(id){
        this.showConfirmDialog('是否删除该标签？',()=>{
          api.delTemplate({ids:id}).then((res)=>{
            if(res.data.code=='0'){
              this.getDataList();
              this.warning(res.data.msg || '操作成功','success');
            }else{
              this.warning(res.data.msg);
            }
          }).catch((error)=>{
            this.warning(error);
          })
        });
      }
    }
  }
</script>


<style lang="less">
    .delete{
        color: red
    }
    .delete:hover {
        color: red;
    }
</style>